com.smartgwt.client.types

## Enum ChartType

- java.lang.Object
- - java.lang.Enum<ChartType>
  - - com.smartgwt.client.types.ChartType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ChartType>

      public enum ChartType
      extends java.lang.Enum<ChartType>
      implements ValueEnum

  Known chart types. These are visual representations of data, not separate data models, although some chart types are only capable of showing a single facet of data.

  Concrete charting implementations may use any value for `chartType` but should support the provided `chartType` values for charts that correspond to the visual presentation described below, to enable easy switching between charting engines.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AREA` Values represented by area, with stacked values representing multiple facet values.
    `BAR` Values represented by horizontal bars.
    `COLUMN` Values represented by vertical columns.
    `DOUGHNUT` Like a pie chart with a central hole.
    `LINE` Values represented by a lines between data points, or stacked areas for multiple facets.
    `PIE` Circular chart with wedges representing values.
    `RADAR` Values represented on a circular background by a line around the center, or stacked areas for multiple facets
    `SCATTER` A chart with two continuous numeric axes and up to one discrete facet.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ChartType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ChartType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AREA

          public static final ChartType AREA

      Values represented by area, with stacked values representing multiple facet values. This is equivalent to ChartType "Line" with stacking enabled.

    - #### COLUMN

          public static final ChartType COLUMN

      Values represented by vertical columns. Typically supports stacking to represent two facets. May support simultaneous stacking and clustering for 3 facets.

    - #### BAR

          public static final ChartType BAR

      Values represented by horizontal bars. Typically supports stacking to represent two facets. May support simultaneous stacking and clustering for 3 facets.

    - #### LINE

          public static final ChartType LINE

      Values represented by a lines between data points, or stacked areas for multiple facets.

    - #### RADAR

          public static final ChartType RADAR

      Values represented on a circular background by a line around the center, or stacked areas for multiple facets

    - #### PIE

          public static final ChartType PIE

      Circular chart with wedges representing values. Multiple or stacked pies for multiple facets.

    - #### DOUGHNUT

          public static final ChartType DOUGHNUT

      Like a pie chart with a central hole. Multiple or stacked doughnuts for multiple facets.

    - #### SCATTER

          public static final ChartType SCATTER

      A chart with two continuous numeric axes and up to one discrete facet.

  - ### Method Detail

    - #### values

          public static ChartType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChartType c : ChartType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChartType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`